### Property

# Foundry Diagnostic:rule-id

since: 1.1

#### Declaration

    property rule-id: utf8 [ read ]

#### Description [src]

The “rule-id” property is an identifier to the type of rule for the diagnostic.

Not all diagnostics may have this, but it is generally useful to provide from diagnostic providers where a known rule is applied. For example, many compilers have a rule identifier which may be silenced by matching the value of this property.

Type:`gchar*`

Available since: 1.1

Default value | NULL

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no